| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/os-security-groups/servers/{server_id}/os-security-groups | Lists security groups for a specified server. |
Normal response codes: 200
This table shows the URI parameters for the list security groups by server request:
| Name | Type | Description |
|---|---|---|
| String | The unique identifier of the tenant or account. |
| UUID | The UUID for the server of interest to you. |
This operation does not require a request body.
Example 3.305. List security groups by server: JSON response
{
"security_groups": [
{
"description": "default",
"id": 1,
"name": "default",
"rules": [],
"tenant_id": "openstack"
}
]
}Example 3.306. List security groups by server: XML response
<?xml version='1.0' encoding='UTF-8'?>
<security_groups xmlns="http://docs.openstack.org/compute/api/v1.1">
<security_group tenant_id="openstack" id="1" name="default">
<description>default</description>
<rules/>
</security_group>
</security_groups>This operation does not return a response body.

